- name: Wait 120 seconds, but only start checking after 60 seconds
  wait_for_connection:
    delay: 60
    timeout: 120

- name: Set CPU scaling policy to ondemand
  ansible.builtin.cron:
    name: "Ondemand CPU scaling governor"
    special_time: reboot
    job: 'echo "ondemand" |sudo tee /sys/devices/system/cpu/cpu0/cpufreq/scaling_governor'

- name: Install MicroK8s
  snap:
    name: microk8s
    classic: yes
    channel: 1.21/stable

- name: Pause 5 minutes to finish MicroK8s deployment
  pause:
    minutes: 5

- name: Disabling ha-cluster
  shell: |
    microk8s disable ha-cluster --force
    exit 0

- name: Pause 5 minutes to finish MicroK8s conversion to the no-ha
  pause:
    minutes: 5

- name: Add the user ubuntu to microk8s group
  user:
    name: ubuntu
    groups: microk8s
    append: yes

- name: Change owner of ~/.kube
  file:
    path: /home/ubuntu/.kube
    state: directory
    recurse: yes
    owner: ubuntu
    group: ubuntu

- name: Restart microk8s process
  ansible.builtin.cron:
    name: "restart microk8s"
    minute: "0"
    hour: "*/5"
    job: 'microk8s stop;sleep 60;microk8s start'
  when: inventory_hostname == groups['kube-master'][0]
